Package net.sf.saxon.expr.parser

## Enum XPathParser.ParsedLanguage

- java.lang.Object
- - java.lang.Enum<XPathParser.ParsedLanguage>
  - - net.sf.saxon.expr.parser.XPathParser.ParsedLanguage

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<XPathParser.ParsedLanguage>`
  Enclosing class:
    XPathParser

      public static enum XPathParser.ParsedLanguage
      extends java.lang.Enum<XPathParser.ParsedLanguage>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EXTENDED_ITEM_TYPE` |
    `SEQUENCE_TYPE` |
    `XPATH` |
    `XQUERY` |
    `XSLT_PATTERN` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static XPathParser.ParsedLanguage` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static XPathParser.ParsedLanguage[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### XPATH

          public static final XPathParser.ParsedLanguage XPATH

    - #### XSLT_PATTERN

          public static final XPathParser.ParsedLanguage XSLT_PATTERN

    - #### SEQUENCE_TYPE

          public static final XPathParser.ParsedLanguage SEQUENCE_TYPE

    - #### XQUERY

          public static final XPathParser.ParsedLanguage XQUERY

    - #### EXTENDED_ITEM_TYPE

          public static final XPathParser.ParsedLanguage EXTENDED_ITEM_TYPE

  - ### Method Detail

    - #### values

          public static XPathParser.ParsedLanguage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XPathParser.ParsedLanguage c : XPathParser.ParsedLanguage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XPathParser.ParsedLanguage valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null